Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5993 - XFree86-3.3.5: startx fails if user has .xserverrc
Summary: XFree86-3.3.5: startx fails if user has .xserverrc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-15 17:19 UTC by bluca
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-03-22 22:00:59 UTC


Attachments (Terms of Use)

Description bluca 1999-10-15 17:19:18 UTC
or /etc/X11/xinit/Xserverrc for that matter
I believe it applies to all XFree86-3.3.5 packages.

patch follows,
besides putting an exec before xinit seems a good

--- /usr/X11R6/bin/startx       Sat Sep 25 00:20:19 1999
+++ /home/bluca/bin/startx      Fri Oct 15 19:11:04 1999
@@ -63,7 +63,7 @@
 xauth add $display . $mcookie
 xauth add `hostname -f`$display . $mcookie

-xinit $clientargs -- $display $serverargs
+xinit $clientargs -- $serverargs $display

 # various machines need special cleaning up,
 # which should be done here

Comment 1 Preston Brown 2002-01-07 15:27:13 UTC
long ago fixed.


Note You need to log in before you can comment on or make changes to this bug.